namespace SafeCampus.Application.Services.Business.ClassRoomCallService;

public interface IClassRoomCallService:ITransient
{
    /// <summary>
    /// 添加点名记录
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> Add(ClassRoomCallDto input);
    /// <summary>
    /// 修改点名信息，人工处理
    /// </summary>
    /// <param name="input"></param>
    /// <returns></returns>
    Task<bool> Update(ClassRoomCallUpdate input);
    /// <summary>
    /// 删除点名记录（只可删除待处理的记录）
    /// </summary>
    /// <param name="id"></param>
    /// <returns></returns>
    Task<bool> Remove(long id);
    /// <summary>
    /// 分页获取列表
    /// </summary>
    /// <returns></returns>
    Task<SqlSugarPagedList<ClassRoomCallList>> GetPageList(ClassRoomCallSearch search);
    /// <summary>
    /// 不分页获取列表
    /// </summary>
    /// <param name="search"></param>
    /// <returns></returns>
    Task<List<ClassRoomCallList>> GetNoPageList(ClassRoomCallSearch search);
}